﻿.has-error
.help-block {
    color: #dc3545;
}

.afternocontent:after {
    content: "" !important;
}

.handsontable th {
    background-color: rgba(77,89,149,.06);
    color: #3949ab;
}

    .handsontable th, .handsontable td, .handsontable th:last-child {
        border-right: 1px solid #3949ab;
        border-bottom: 1px solid #3949ab;
    }

.handsontable tr:first-child td, .handsontable tr:first-child th {
    border-top: 1px solid #3949ab;
}

.handsontable .htNoFrame + td, .handsontable .htNoFrame + th, .handsontable.htRowHeaders thead tr th:nth-child(2), .handsontable td:first-of-type, .handsontable th:first-child, .handsontable th:nth-child(2) {
    border-left: 1px solid #3949ab;
}


.ht_clone_top.handsontable, .handsontable.htRowHeaders.htColumnHeaders {
    z-index: 0;
}

/*.reset-this {
    all: initial;
}


    .reset-this * {
        all: unset;
    }*/

/* Chrome, Safari, Edge, Opera */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}


body.dark-only .handsontable td, body.dark-only .handsontable th {
    background-color: black;
    color: rgba(255,255,255,0.6)
}

body.dark-only td.highlight {
    background-color: #262932 !important;
}

body.dark-only div.bootstrap-select button {
    background-color: #1d1e26;
    color: rgba(255,255,255,0.6);
    border: 1px solid #1d1e26 !important;
}

/*
div.bootstrap-select button {
    border: 1px solid #ced4da !important;
}

div.bootstrap-select .dropdown-menu.selectpicker {
    padding: 15px;
}

div.bootstrap-select .bs-actionsbox .btn-group.btn-block {
    width: 100%;
}

    div.bootstrap-select .bs-actionsbox .btn-group.btn-block .btn {
        margin: 5px;
        width: 80%;
        border: 1px solid #ced4da !important;
    }

div .bootstrap-select ul.dropdown-menu li {
    padding: 10px;
}

    div.bootstrap-select ul.dropdown-menu li.hide {
        display: none;
    }

    div.bootstrap-select ul.dropdown-menu li.active, div.bootstrap-select ul.dropdown-menu li.selected {
        color: #86b7fe;
        font-weight: bold;
    }

    .bootstrap-select .btn:focus {
    
outline: none !important;
}
*/
div .bootstrap-select {
    border: 1px solid #ced4da !important;
}

body.dark-only div .bootstrap-select {
    border: none !important;
}

div .bootstrap-select ul.dropdown-menu {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    padding-left: 0;
    margin-bottom: 0;
    border-radius: .25rem;
}

    div .bootstrap-select ul.dropdown-menu li {
        position: relative;
        display: block;
        text-decoration: none;
        /*background-color: #fff;*/
        border: 1px solid rgba(0,0,0,0.125);
    }

        div .bootstrap-select ul.dropdown-menu li a {
            display: block;
            padding: .5rem 1rem;
        }

        div .bootstrap-select ul.dropdown-menu li:active, div .bootstrap-select ul.dropdown-menu li:hover, div .bootstrap-select ul.dropdown-menu li.selected {
            color: #212529;
            background-color: #e9ecef;
        }

body.dark-only div .bootstrap-select ul.dropdown-menu li:active, body.dark-only div .bootstrap-select ul.dropdown-menu li:hover, body.dark-only div .bootstrap-select ul.dropdown-menu li.selected {
    color: #e9ecef;
    background-color: #212529;
}

div.bootstrap-select ul.dropdown-menu li.hide {
    display: none;
}


div.bootstrap-select .bs-actionsbox .btn-group.btn-block {
    width: 100%;
}

    div.bootstrap-select .bs-actionsbox .btn-group.btn-block .btn {
        margin: 5px;
        width: 80%;
        border: 1px solid #ced4da !important;
    }


.bootstrap-select .btn:focus {
    outline: none !important;
}

ul.sidebar-links a.sidebar-link i.fa {
    width: 18px;
    /*font-size: 18px;
    font-weight: 600;*/
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
}


body.dark-only ul.sidebar-links a.sidebar-link i.fa {
    color: #f4f4f4;
}



@media only screen and (max-width: 767px) {
    .framworks .nav .nav-link .service-icon {
        display: none;
    }
}

.actionbtn .btn {
    margin-right: 5px;
}

    .actionbtn .btn svg {
        height: 15px;
        margin-right: 2px;
        vertical-align: middle;
    }


@media (max-width: 576px) {
    .card-header-right.actionbtn {
        position: static !important;
    }

    .actionbtn .btn span {
        display: none;
    }
}

.service-icon i {
    font-size: 50px;
}


.actionbtn .btn svg {
    height: 15px;
    margin-right: 2px;
    vertical-align: middle;
}




/*.form-control:focus, .form-select:focus {
    background-color: rgba(248,214,43,0.2) !important;
    outline: none !important;
}
*/



body.dark-only span.twitter-typeahead .tt-suggestion:hover, body.dark-only span.twitter-typeahead .tt-suggestion:focus {
    background-color: var(--theme-deafult);
    color: #fff;
}

body.dark-only span.twitter-typeahead .tt-suggestion {
    color: #2b2b2b;
}

body.dark-only .customizer-links > .nav {
    background-color: #1d1e26;
}

.section-space .item {
    padding: 15px;
}

.dataTables_wrapper .dataTables_filter input[type="search"] {
    background-color: rgba(115,102,255,0.15);
}


@media screen and (max-width: 575px) {
    .file-content .folder .folder-box, .file-content .files .file-box {
        width: calc(50% - 15px);
    }
}

.login-card .login-main .theme-form input {
    background-color: #f3f3ff;
}

    .login-card .login-main .theme-form input:active, .login-card .login-main .theme-form input:focus {
        background-color: #e9ecef;
    }
